<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\DozFeedbackauswertungenUebersicht\DozFeedbackFilter;

class DozFeedbackauswertungenUebersichtSetFilterController extends \Kufer\KuferTools\Dozent\DozFeedbackauswertungenUebersicht\DozFeedbackauswertungen\DozFeedbackAuswertungenUebersichtController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    if(!$this->isBrowserRefresh()) {
      $requestObj->suchParameter = $this->getFilterFromPost();
      $requestObj->aendereFilter = true;
    }
    return $requestObj;
  }
  
  protected function getFilterFromPost()
  {
    $tool = $this->getFilterToolId();
    $suchApi = new \KurssuchAPIwSearch();
    return $suchApi->getSearchParamsFromReq('tool'.$tool,$pSearchName = 'searchkurs');
  }
  
  private function isBrowserRefresh()
  {
    
    return !\RequestOperations::isDefined('search_stichworte');
  }

}